# For more information: https://laravel.com/docs/sail
version: "3"
services:
  laravel.test:
    build:
      context: ./vendor/laravel/sail/runtimes/8.0
      dockerfile: Dockerfile
      args:
        WWWGROUP: "${WWWGROUP}"
    image: sail-8.0/app
    ports:
      - "${APP_PORT:-80}:80"
    environment:
      WWWUSER: "${WWWUSER}"
      LARAVEL_SAIL: 1
    volumes:
      - ".:/var/www/html"
    networks:
      - sail
    depends_on:
      - mysql
      - redis
  mysql:
    platform: linux/x86_64
    image: "mysql:8.0"
    ports:
      - "${FORWARD_DB_PORT:-3307}:3306"
    environment:
      MYSQL_ROOT_PASSWORD: "${DB_PASSWORD}"
      MYSQL_DATABASE: "${DB_DATABASE}"
      MYSQL_USER: "${DB_USERNAME}"
      MYSQL_PASSWORD: "${DB_PASSWORD}"
      MYSQL_ALLOW_EMPTY_PASSWORD: "yes"
    volumes:
      - "sailmysql:/var/lib/mysql"
      - "./docker_compose/mysql:/docker-entrypoint-initdb.d"
    networks:
      - sail
    healthcheck:
      test: ["CMD", "mysqladmin", "ping"]
  mysql_current:
    platform: linux/x86_64
    image: "mysql:8.0"
    ports:
      - "${FORWARD_DB_PORT_CURRENT:-3308}:3306"
    environment:
      MYSQL_ROOT_PASSWORD: "${DB_PASSWORD}"
      MYSQL_DATABASE: "${DB_DATABASE_CURRENT}"
      MYSQL_USER: "${DB_USERNAME}"
      MYSQL_PASSWORD: "${DB_PASSWORD}"
      MYSQL_ALLOW_EMPTY_PASSWORD: "yes"
    volumes:
      - "sailmysql_current:/var/lib/mysql"
      - "./docker_compose/mysql_current:/docker-entrypoint-initdb.d"
    networks:
      - sail
    healthcheck:
      test: ["CMD", "mysqladmin", "ping"]
  redis:
    image: "redis:alpine"
    ports:
      - "${FORWARD_REDIS_PORT:-6379}:6379"
    volumes:
      - "sailredis:/data"
    networks:
      - sail
    healthcheck:
      test: ["CMD", "redis-cli", "ping"]
networks:
  sail:
    driver: bridge
volumes:
  sailmysql:
    driver: local
  sailmysql_current:
    driver: local
  sailredis:
    driver: local
